###############################################################
######### Statistical Learning: Intoduction to R      #########
######### Rosario Barone                              #########
######### email: rosario.barone@uniroma2.it           #########
###############################################################

# The symbol"#" allows to "comment" our code

demo(graphics)

c<-100-80

# R may be used as a calculator

2+2

4*13

(8-4)/4

6^2

# Operazions with basic functions 
# Square root
sqrt(16)
# Absolute Value
abs(-10)
# Logarithm with base e 
log(10) 
# Logarithm with base 10:
log10(10)

# More complex functions need more parameters

#For example, if we want to calculate the logarithm to a base
#different from "e" and "10" we can still use the logarithm function. 
#We call the help of the log function to understand the syntax to use:

?log 
help(log)

log(8,2)

log(x=8, base = 2)

log(2,8)
log(base=2,x=8)

# Assignment ------------------------------------------------------------

# Directly assign values to a variable
a <- 8
a
# Or
a = 8
8 -> a
a

# BE CAREGUL: do not overwrite existing variables!
a=6
a

# Assign values that are the result of math operations
SUM = 1 + 2
SUM

OPERATION = 4 + sqrt(36)
OPERATION

# More operations can be written on the same line, just separate them with a semicolon
OPERATION2 = 7 + log(4, base=2) ;  OPERATION2

#Operations with objects:

OPERATION=SUM+OPERATION
SUM
OPERATION


# Scalar (Numeric {[Integer, Real] or Complex})

weight <- 79
weight
height <- 1.89 
height

# For complex numbers there aren't real examples
imm <- 3.51+1.2i
imm

#Characters

civilstatus <- 'Single'
civilstatus
employment <- "Worker"
employment

#Logical

female <- TRUE
female
male <- FALSE
male
car.owner<- F
car.owner
house.owner <- T
house.owner

# For getting (or setting) the type or storage mode of an object. 

mode(civilstatus)
mode(weight)
mode(imm)
mode(car.owner)